
//----- STD include -----
#include <iostream>
#include <string>
#include <time.h>
//----------------------

//----- Personnal include -----
#include "./Model/Grid.hpp"
#include "./Controllers/ConsoleController/ConsoleController.hpp"
//-----------------------------

#include "./Model/Cell.hpp"
//#include "./Model/Elements/StringElement.hpp"

//----- Start -----



int main()
{
	Cell<StringElement> *cell1 = new Cell<StringElement>("");
	Cell<StringElement> *cell2 = new Cell<StringElement>("i");


	if(cell2->isEmpty()){
		std::cout << "Empty" << std::endl;
	}
	else{
		std::cout << "Not empty" << std::endl;
	}

    	//Init random
	srand(time(NULL));

	//Init console controller
	ConsoleController * controller = new ConsoleController();

	//Launch game
	controller->play();

	//Remove controlelr
	delete controller;

	return 0;
}
